--- old/usr/src/lib/libfakekernel/common/taskq.c	Mon Nov  6 02:54:37 2017
+++ new/usr/src/lib/libfakekernel/common/taskq.c	Mon Nov  6 02:54:37 2017
@@ -25,6 +25,7 @@
 /*
  * Copyright 2012 Garrett D'Amore <garrett@damore.org>.  All rights reserved.
  * Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 #include <sys/taskq_impl.h>
@@ -38,6 +39,9 @@
 #include <sys/sysmacros.h>
 #include <sys/unistd.h>
 
+/* avoid <sys/disp.h> */
+#define   maxclsyspri     99
+
 /* avoid <unistd.h> */
 extern long sysconf(int);
 
@@ -263,6 +267,15 @@
 	    minalloc, maxalloc, NULL, flags));
 }
 
+/*ARGSUSED*/
+taskq_t *
+taskq_create_sysdc(const char *name, int nthr, int minalloc,
+    int maxalloc, proc_t *proc, uint_t dc, uint_t flags)
+{
+	return (taskq_create_proc(name, nthr, maxclsyspri,
+	    minalloc, maxalloc, proc, flags));
+}
+
 /*ARGSUSED*/
 taskq_t *
 taskq_create_proc(const char *name, int nthreads, pri_t pri,
